### Function

# GLib HFunc

#### Declaration

    void
    (* GHFunc) (
      gpointer key,
      gpointer value,
      gpointer user_data
    )

#### Description

Specifies the type of the function passed to g_hash_table_foreach(). It is called with each key/value pair, together with the `user_data` parameter which is passed to g_hash_table_foreach().

#### Parameters

`key`

  Type: `gpointer`

  A key.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`value`

  Type: `gpointer`

  The value corresponding to the key.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to g_hash_table_foreach().

  The argument can be `NULL`.
  The data is owned by the caller of the function.